snd_tplg_pcm_template Struct Reference
Topology Interface

Template type for PCM (FE DAI & DAI links). More...

Collaboration diagram for snd_tplg_pcm_template:
[legend]

## Data Fields

const char * | pcm_name
const char * | dai_name
unsigned int | pcm_id
unsigned int | dai_id
unsigned int | playback
unsigned int | capture
unsigned int | compress
struct snd_tplg_stream_caps_template * | caps [2]
unsigned int | flag_mask
unsigned int | flags
struct snd_soc_tplg_private * | priv
int | num_streams
struct snd_tplg_stream_template | stream [0]

## Detailed Description

Template type for PCM (FE DAI & DAI links).

The documentation for this struct was generated from the following file:

- /build/alsa-lib-X1Eq5S/alsa-lib-1.2.6.1/include/topology.h